package com.pcloud.book.adnews.dao;

import com.pcloud.book.adnews.entity.AdNewsChoose;
import com.pcloud.book.adnews.entity.AdNewsWechatChoose;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

/**
 * @author zhengyongqiang
 * @date 2019/8/7 11:47
 */
public interface AdNewsWechatChooseDao extends BaseDao<AdNewsWechatChoose> {

    Integer batchInsert(List<AdNewsWechatChoose> adNewsWechatChooses);

    void deleteAdNewsWechatChooseById(Long adNewsWechatId, Long partyId);

    void deleteAdNewsWechatChooseByPartyId(Long partyId);

    Integer getCountByAdNewsWechatIdsAndPartyId(List<Long> adNewsIds, Long partyId);
}
